> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corgea.app/llms.txt
> Use this file to discover all available pages before exploring further.

# CI/CDデータをアップロード

> 指定したスキャン実行のCI/CDパイプラインメタデータとコンテキスト情報をアップロードします。



## OpenAPI

````yaml /ja/api-reference/openapi.json post /ci-data-upload
openapi: 3.0.0
info:
  title: Corgea API
  version: 1.0.0
  description: Corgeaのスキャン機能および脆弱性管理機能を操作するためのAPI
servers:
  - url: https://www.corgea.app/api/v1
    description: 本番サーバー
security:
  - CorgeaToken: []
  - BearerAuth: []
paths:
  /ci-data-upload:
    post:
      tags:
        - サードパーティスキャンのアップロード
      summary: CI/CDデータをアップロード
      description: 指定したスキャン実行のCI/CDパイプラインメタデータとコンテキスト情報をアップロードします。
      operationId: ciDataUpload
      parameters:
        - name: run_id
          in: query
          required: true
          schema:
            type: string
          description: このCIデータに関連付けられたスキャン実行ID
        - name: platform
          in: query
          required: true
          schema:
            type: string
          description: 'CI/CDプラットフォーム名（例: jenkins、github-actions、gitlab-ci）'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              description: CI/CDパイプラインのメタデータとコンテキスト情報
              additionalProperties: true
      responses:
        '200':
          description: CIデータを正常にアップロードしました
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - ok
                    example: ok
                required:
                  - status
        '400':
          description: 不正なリクエスト - JSON解析エラー
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: error
                  message:
                    type: string
                    example: Invalid JSON format
        '404':
          description: 指定されたrun_idに対応するスキャンが見つかりません
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: unable to find scan associated to this run id
components:
  securitySchemes:
    CorgeaToken:
      type: apiKey
      in: header
      name: CORGEA-TOKEN
      description: 認証用のAPIキー
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Authorizationヘッダーで使用するOAuth2アクセストークン（JWT）

````